Bug 301724 - Add a "deselect all checkboxes" in commit dialog box
Summary: Add a "deselect all checkboxes" in commit dialog box
Status: RESOLVED FIXED
Alias: None
Product: kdevplatform
Classification: Unclassified
Component: subversion (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR wishlist (vote)
Target Milestone: 1.3.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-12 11:57 UTC by Eric
Modified: 2013-02-19 18:16 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric 2012-06-12 11:57:50 UTC
When i commit my work in subversion, i usually use "commit" feature in an entire folder of my project, deselect all checkboxes and then select only the files i really want to commit.

Whitout a "deselect all" this is very boring task in Kdevelop

(Just FYI: in eclipse it's possibile)


Reproducible: Always
Comment 1 Aleix Pol 2012-11-21 01:29:26 UTC
This is available by right-clicking the view, in the context menu.
Comment 2 Eric 2012-11-21 09:17:01 UTC
In next version of kdevelop? In my Kdevelop 4.4.1 + Kde 4.9.3 right clicking in "revision patch" view (where i select the checkboxes) does nothing.
Comment 3 Eric 2013-02-19 14:29:56 UTC
I've waited several kdevelop + kate + kde upgrades but this seems NOT RESOLVED to me.
If i right click anywhere there is no context menu offering me to deselect all checkboxes.
Comment 4 Kevin Funk 2013-02-19 15:37:18 UTC
Hm. That's a bug, the context menu only pops up in case an item has already been selected.
Comment 5 Aleix Pol 2013-02-19 18:16:36 UTC
Git commit 92c6d200c9b3cb364044e0cbea8a2125fdc9cb18 by Aleix Pol.
Committed on 19/02/2013 at 19:14.
Pushed by apol into branch '1.5'.

Let the patch review menu always work

We weren't showing it when there's a selection. This was a micro-optimization
and it didn't help much.
This way we'll always have the de/select all actions available, whether there's
a selection or not.

M  +3    -8    plugins/patchreview/patchreviewtoolview.cpp

http://commits.kde.org/kdevplatform/92c6d200c9b3cb364044e0cbea8a2125fdc9cb18